################################################################################
# ADCP device type definitions
#
# See README.md in this directory

ADCP_OS150:
  category: "device_type"
  description: "UHDAS RD Industries OS-150 Acoustic Doppler Current Profiler"

  format:
    #"$VDVBW,{ForwardSpeed:f},{StarboardSpeed:f},{DataStatus:ow},,,*{Checksum:x}"
    "$VDVBW,{LongWaterSpeed:of},{TransWaterSpeed:of},{WaterSpeedStatus:ow},{LongGroundSpeed:of},{TransGroundSpeed:of},{GroundSpeedStatus:ow}*{Checksum:x}"

  fields:
    LongWaterSpeed:
      units: "knots"
      description: "Longitudinal water speed (negative means astern)"
    TransWaterSpeed:
      units: "knots"
      description: "Longitudinal water speed (negative means port)"
    WaterSpeedStatus:
      description: "A = Data Valid"
    LongGroundSpeed:
      units: "knots"
      description: "Longitudinal ground speed (negative means astern)"
    TransGroundSpeed:
      units: "knots"
      description: "Transverse ground speed (negative means port)"
    GroundSpeedStatus:
      description: "A = Data Valid"

  #fields:
  #  ForwardSpeed:
  #    units: ""
  #    description: "Forward speed (negative means astern)"
  #  StarboardSpeed:
  #    units: ""
  #    description: "Starboard speed (negative means port"
  #  DataStatus:
  #    description: "A = Data Valid, V = Void"

######################################
ADCP_OS75:
  category: "device_type"
  description: "RD Industries OS-75 Acoustic Doppler Current Profiler"
  
  format:
    PUHAW: "$PUHAW,UVH,{VelocityE:f},{VelocityN:f},{HeadingT:f}"
    VDVBW: "$VDVBW,{LongWaterSpeed:of},{TransWaterSpeed:of},{WaterSpeedStatus:ow},{LongGroundSpeed:of},{TransGroundSpeed:of},{GroundSpeedStatus:ow}*{Checksum:x}"
    # $VDVBW,,,,,,*51
    # $VDVBW,11.27,0.14,A,,,*20
    # VDVBW: "$VDVBW,{ADCPForwardSpeed:f},{ADCPStarboardSpeed:f},{ADCPDataStatus:ow},,,*{Checksum:x}"

  fields:
    VelocityE:
      units: ""
      description: "Current velocity to (relative) east"
    VelocityN:
      units: ""
      description: "Current velocity to (relative) north"
    HeadingT:
      units: "degrees"
      description: "True Heading"
    LongWaterSpeed:
      units: "knots"
      description: "Longitudinal water speed (negative means astern)"
    TransWaterSpeed:
      units: "knots"
      description: "Longitudinal water speed (negative means port)"
    WaterSpeedStatus:
      description: "A = Data Valid"
    LongGroundSpeed:
      units: "knots"
      description: "Longitudinal ground speed (negative means astern)"
    TransGroundSpeed:
      units: "knots"
      description: "Transverse ground speed (negative means port)"
    GroundSpeedStatus:
      description: "A = Data Valid"
